# Class $$AnimateQueueProvider

- Defined in animations/animate-queue.js:28
- Defined in animations/animate-queue.js:27

#####
Index

### Constructors

constructor

### Properties

$get
rules
$inject

##
Constructors

### constructor

- new $$AnimateQueueProvider($animateProvider): $$AnimateQueueProvider

- #### Parameters

  - $animateProvider: any

  #### Returns $$AnimateQueueProvider

  - Defined in animations/animate-queue.js:28

##
Properties

### $get

$get: (string | (($rootScope: Scope, $injector: any, $$animation: any, $$AnimateRunner: any, $templateRequest: any) => {
enabled(element: any, bool: any, ...args: any): any;
off(event: any, container: any, callback: any, ...args: any): void;
on(event: any, container: any, callback: any): void;
pin(element: any, parentElement: any): void;
push(element: any, event: any, options: any, domOperation: any): any;
}))[]

- Defined in animations/animate-queue.js:146

### rules

rules: {
cancel: any[];
join: any[];
skip: any[];
}

- Defined in animations/animate-queue.js:33

### `Static`$inject

$inject: string[]

- Defined in animations/animate-queue.js:27